use clap::{arg, command};

pub fn get_args() -> clap::ArgMatches {
    command!()
        .about("navOS Installer")
        .subcommand(
            command!("create-iso")
                .about("Create a new installation medium ISO")
                .arg(arg!(--without_gui "Create ISO with just terminal"))
                .arg(arg!(--no_tmp "Create ISO on disk"))
                .arg(arg!(--kb_layout <LAYOUT> "Create ISO with this keyboard layout"))
                .arg(arg!(--kb_variant <VARIANT> "Create ISO with this keyboard layout variant"))
                .arg(arg!(--install <CONFIG> "Create ISO which automatically installs <CONFIG> upon boot."))
        )
        .subcommand(
            command!()
                .name("install")
                .about("Install a system according to configuration")
                .arg(arg!(-f --force "Install without confirming config"))
                .arg(arg!([config] "Config file").required(true)),
        )
        .subcommand(
            command!()
                .name("create-tar")
                .about("Create a container tar image"),
        )
        .subcommand(
            command!()
                .name("create-img")
                .about("Create an install on a disk image for VMs or embedded devices")
                .arg(arg!([config] "Config file").required(true))
                .arg(arg!([image] "Image file").required(true))
        )
        .get_matches()
}
