use crate::{config::InstallConfig, linux::install_file, pkg::install_pkgs, print_status};

use super::navos::setup_navos;

pub fn setup_desktop(conf: &InstallConfig) {
    setup_navos();
    install_pkgs(&["navos_desktop"]);
    print_status("Enable SDDM");
    print_status("Set keyboard layout for SDDM");
    install_file(
        "/mnt/usr/share/sddm/scripts/Xsetup",
        &format!(
            "#!/bin/sh\n# Xsetup\nsetxkbmap {},us\n",
            conf.general.keyboard_layout
        ),
        0o644,
    );

    std::os::unix::fs::symlink(
        "/usr/lib/systemd/system/sddm.service",
        "/mnt/etc/systemd/system/display-manager.service",
    )
    .unwrap();
}
