use crate::{linux::systemd_service_enable, pkg::install_pkgs, print_status};

/// Setup firmware update daemon
pub fn setup_fwupd() {
    print_status("Enabling firmware updates");
    install_pkgs(&["fwupd"]);
    systemd_service_enable("fwupd-refresh.timer");
}

/// Setup CPU Microcode
pub fn setup_microcode() {
    print_status("Installing CPU Microcode");
    let cpuinfo = std::fs::read_to_string("/proc/cpuinfo").unwrap();

    for line in cpuinfo.lines() {
        if line.starts_with("vendor_id") {
            if line.contains("GenuineIntel") {
                install_pkgs(&["intel-ucode"]);
            }

            if line.contains("AuthenticAMD") {
                install_pkgs(&["amd-ucode"]);
            }
        }
    }
}
