use crate::{config::GeneralConfig, create_iso::build_kxkbrc, linux::install_file, print_status};

pub fn setup_skel(conf: &GeneralConfig) {
    print_status("Setting user config");
    std::fs::create_dir_all("/mnt/etc/skel/.config").unwrap();
    install_file(
        "/mnt/etc/skel/.config/kxkbrc",
        &build_kxkbrc(
            conf.keyboard_layout.as_str(),
            conf.keyboard_variant.as_ref().map(|x| x.as_str()),
        ),
        0o644,
    );
}
