use crate::{
    linux::{install_file, systemd_service_enable},
    pkg::install_pkgs,
    print_status,
};

/// Setup the ZRAM feature
pub fn setup_zram() {
    install_pkgs(&["zram-generator"]);

    print_status("Writing /etc/systemd/zram-generator.conf");
    install_file(
        "/mnt/etc/systemd/zram-generator.conf",
        include_str!("../root/zram-generator.conf"),
        0o644,
    );

    systemd_service_enable("systemd-zram-setup@zram0.service");
}
